Subject: Re: Please pull powerpc.git merge branch

From: Arnd Bergmann <[email-masked]>
Date: Mon, 31 Dec 2007 17:12:45 +0100

On Monday 31 December 2007, Paul Mackerras wrote:

> Geoff Levand writes:
> >=20
> > Looking at the code, it seems just when CONFIG_SPU_FS=3Dy, not when =3D=
m.

Right, thanks for reporting this.

> It looks to me that the definition of notify_spus_active under #ifndef
> MODULE in spufs/sched.c is bogus and should just be removed
> completely. =A0Also, I don't see any need for do_notify_spus_active to
> be exported.
>=20
> I propose the patch below. =A0Arnd, Jeremy, Bob, any opinions?

I'm still out of office and can't do a proper test on this in the
way I should have done on the original patch, but your assessment and
patch looks entirely correct.

Acked-by: Arnd Bergmann <[email-masked]>